## org.apache.tools.ant.taskdefs.rmic
Class KaffeRmic

    java.lang.Object
      |
      +--org.apache.tools.ant.taskdefs.rmic.DefaultRmicAdapter
            |
            +--org.apache.tools.ant.taskdefs.rmic.KaffeRmic

All Implemented Interfaces:
  RmicAdapter

public class KaffeRmic
extends DefaultRmicAdapter

The implementation of the rmic for Kaffe

Since:
  Ant 1.4

Field Summary
`static java.lang.String` `COMPILER_NAME` the name of this adapter for users to select

Constructor Summary
`KaffeRmic()`

Method Summary
`boolean` `execute()` Executes the task.
`static boolean` `isAvailable()` test for kaffe being on the system

Methods inherited from class org.apache.tools.ant.taskdefs.rmic.DefaultRmicAdapter
`getClasspath, getCompileClasspath, getMapper, getRmic, getSkelClassSuffix, getStubClassSuffix, getTieClassSuffix, logAndAddFilesToCompile, setRmic, setupRmicCommand, setupRmicCommand`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COMPILER_NAME

    public static final java.lang.String COMPILER_NAME

  the name of this adapter for users to select

  See Also:
    Constant Field Values

Constructor Detail

### KaffeRmic

    public KaffeRmic()

Method Detail

### execute

    public boolean execute()
                    throws BuildException

  Description copied from interface: `RmicAdapter`
  Executes the task.

  Returns:
    has the compilation been successful
    `BuildException`

### isAvailable

    public static boolean isAvailable()

  test for kaffe being on the system

  Returns:
    true if kaffe is on the current classpath

Copyright © 2000-2005 Apache Software Foundation. All Rights Reserved.